Skip to main content

Get Latest Application Form (Partner Flow)

Description​

Get the latest version of an existing application form for programmatic use or to view in the Partner Portal. To view applications in a Consumer Portal, see Get Consumer Application Form.

Accepts a known application form ID and returns the most recent version of that form.

Use the partner-engine endpoints to retrieve application forms for programmatic use. Use the <domain>-agent endpoints for deep links to application forms to include in a CRM, AMS, or other system of record for end user access.

Service Endpoint​

Use this endpoint to retrieve application forms for programmatic use.

Staging​

https://partner-engine-uat.beta.boldpenguin.com/application_forms/<application-form-id>/latest

Production​

https://partner-engine.boldpenguin.com/application_forms/<application-form-id>/latest

Authentication​

This endpoint requires an access_token from the authentication endpoint in the same environment. Include it as a bearer token in an Authorization header for the request.

Include this endpoint in your internal websites as a deep link for end user access to an application form. Viewing this link requires access as an authenticated agent within your Partner Portal.

Staging​

https://<domain>-agent.beta.boldpenguin.com/application_forms/<application-form-id>/latest
  • NOTE: Replace \<domain> with your unique domain provided during on-boarding.

Production​

https://<domain>-agent.boldpenguin.com/application_forms/<application-form-id>/latest
  • NOTE: Replace \<domain> with your unique domain provided during on-boarding.

Authentication​

This endpoint inherits the permissions of the authenticated agent in your Partner Portal.

Methods​

GET

Request Syntax​

GET /application_forms/<application-form-id>/latest

Request Parameters​

URL Parameters​

  • application-form-id
    • Last known ID for this application form.
    • Type: UUID (xxxxxxxx-xxxx-xxxx-xxxx-xxxxxxxxxxxx)
    • Required: Yes

Response​

This endpoint returns the most recent version of the application form you can access from your tenant.

Status Codes​

  • 200 Success
  • 400 Invalid UUID format
  • 401 Unauthorized: The necessary authentication credentials are not present in the request or are incorrect.
  • 404 Invalid or malformed application form ID

Examples​

Example Request​

curl --request GET \
--url https://boldpenguin-agent.beta.boldpenguin.com/application_forms/46d7a343-2b7f-46e3-9a61-a75473086923/latest \
--header 'authorization: Bearer CKM6LKm965bghfSSPESbac39' \

Example Response​

{
"id": "46d7a343-2b7f-46e3-9a61-a75473086923",
"tenant_id": "5323b917-54f9-4866-aec7-67a5f1062be1",
"user_group_id": "ebadd1e1-1437-43b4-a3d1-cb7ef088eeba",
"owner_id": "cfab2232-0e31-4b50-a5cb-c21dd2a0fcde",
"parent_id": null,
"completed_at": null,
"locked": false,
"taken_over": false,
"state": "in_progress",
"reference_id": "BGJ-BLB-L2M",
"cable_token": "6ba693ef-8b51-48f7-83e2-b76e37c2202e",
"redirect_url": null,
"quote_requests_count": 0,
"owner_is_guest": false,
"finished_quote_requests_count": 0,
"created_at": "2020-03-16T13:14:11.022-04:00",
"updated_at": "2020-03-16T13:14:12.145-04:00",
"cloned": false,
"inactive": true,
"global_origin_tenant_name": null,
"features": [],
"application_forms_question_sets": [],
"messages": [],
"quote_requests": []
}
<a href="https://<domain>-agent.boldpenguin.com/application_forms/46d7a343-2b7f-46e3-9a61-a75473086923/latest>Click here to view this application</a>